|  | Home | Documentation | address.h File Reference updated Wed Jan 9 2019 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations
address.h File Reference
`#include <vector>`
Include dependency graph for address.h:

Go to the source code of this file.

## Classes
class | std::vector< T >
class | a__address
| "urn:address-book-example":address is a complexType. More...
class | _a__address_book
| Top-level root element "urn:address-book-example":address-book. More...

## Macros
#define | SOAP_NAMESPACE_OF_a "urn:address-book-example"

## Enumerations
enum | a__ISO_country { a__ISO_country__be, a__ISO_country__ca, a__ISO_country__de, a__ISO_country__en, a__ISO_country__gb, a__ISO_country__it, a__ISO_country__nl, a__ISO_country__no, a__ISO_country__ru, a__ISO_country__se, a__ISO_country__us }
| "urn:address-book-example":ISO-country is a simpleType restriction of XSD type xs:string. More...

## Macro Definition Documentation

#define SOAP_NAMESPACE_OF_a "urn:address-book-example"

      An example address book schema

Definition at line 131 of file address.h.

## Enumeration Type Documentation

enum a__ISO_country

"urn:address-book-example":ISO-country is a simpleType restriction of XSD type xs:string.

      ISO country codes (limited to just a few for this example)

Note
  The enum values are prefixed with "a__ISO_country__" to prevent name clashes: use wsdl2h option -e to omit this prefix or use option -c++11 for scoped enumerations

Enumerator
a__ISO_country__be | xs:string value="be"
a__ISO_country__ca | xs:string value="ca"
a__ISO_country__de | xs:string value="de"
a__ISO_country__en | xs:string value="en"
a__ISO_country__gb | xs:string value="gb"
a__ISO_country__it | xs:string value="it"
a__ISO_country__nl | xs:string value="nl"
a__ISO_country__no | xs:string value="no"
a__ISO_country__ru | xs:string value="ru"
a__ISO_country__se | xs:string value="se"
a__ISO_country__us | xs:string value="us"

Definition at line 169 of file address.h.